
function F2PAchi_Receive(...)
	---[[
	local prefix, msg, channel, sender = ...
	--[[]]if F2PAddonGlobalVars.verbose then print(msg) end
	-- last check excludes messages for the player's addon, not the player
	local achid = string.match(msg, "^f2p=achid=(%d+):")
	--[[]]if F2PAddonGlobalVars.verbose then print("achid = "..tostring(achid)) end
	local guid = string.match(msg, ":guid=(%w+):")
	local month = string.match(msg, ":M=(%d+):")
	local day = string.match(msg, ":d=(%d+):")
	local year = string.match(msg, ":y=(%d+)$")
	local _, name = GetAchievementInfo(achid)
	msg = "|cffffff00has earned the achievement [|Hachievement:"..achid..":"..guid..":1:"..month..":"..day..":"..year..":0:0:0:0|h"..name.."|h]"
	F2PChat_FormatIncoming(msg, sender)
	--]]
end
		
function F2PAchi_Send(...)
	---[[
	local achId = ...
	local id, name, points, completed, month, day, year, description, flags, icon, rewardText, isGuildAch = GetAchievementInfo(achId)
	local msg = "f2p=achid="..achId..":guid="..UnitGUID("player")..":M="..month..":d="..day..":y="..year
	F2PChat_RouteChatMessage(msg)
	msg = "|cffffff00has earned the achievement [|Hachievement:"..achId..":"..UnitGUID("player")..":1:"..month..":"..day..":"..year..":0:0:0:0|h"..name.."|h]"
	F2PChat_FormatIncoming(msg, F2PAddonGlobalVars.myName)
	--]]
end
