local commandTable = {
	["reset"] = function()	
		F2PAddonGlobalVars.queueData = {}
		F2PQ_TableToDisplay()
	end,
	["default"] = function()
		if not F2PAddonQueueInfoFrame:IsVisible() and not PVPFrame:IsVisible() then
			F2PAddonQueueInfoFrame:Show()
			F2PQ_TableToDisplay()
			TogglePVPFrame()
		elseif F2PAddonQueueInfoFrame:IsVisible() and PVPFrame:IsVisible() then
				TogglePVPFrame()
		elseif F2PAddonQueueInfoFrame:IsVisible() and not PVPFrame:IsVisible()then
			F2PAddonQueueInfoFrame:Hide()		
		elseif not F2PAddonQueueInfoFrame:IsVisible() and PVPFrame:IsVisible()then
			F2PAddonQueueInfoFrame:Show()		
			F2PQ_TableToDisplay()
		end
	end,
}

local function runSlashCommand(message, cmdTable)
	local command, parameters = string.split(" ", message, 2)
	--print("command = "..command..", parameters = "..tostring(parameters))
	if (command == nil) or (command == "") then
		commandTable.default()
	elseif command == "reset" then
		commandTable.reset()
	end
end



SLASH_F2PQ1 = "/f2pq"
SlashCmdList["F2PQ"] = function(txt)
	runSlashCommand(txt, commandTable)
end


